/*
 * COMPONENT_NAME: ldap.audit
 *
 * ABSTRACT: Audit plugin list header file
 *
 * ORIGINS: 202,27
 *
 * (C) COPYRIGHT International Business Machines Corp. 2000, 2004
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 *
 * Licensed Materials - Property of IBM
 * 5647-A01,5722-SS1
 * (C) Copyright IBM Corp. 2000, 2004
 *
 */

#ifndef _AUDIT_PLUGIN_LIST_H
#define _AUDIT_PLUGIN_LIST_H

/** 
 * @file audit-plugin-list.h
 * @ingroup ITDS_Audit
*/

#ifdef USING_LIBASCII
#pragma convert(850)
#endif
/**Audit: True, False List*/
const char *  au_true_or_false[] = { "false",
                                     "true",
                                     "unknown" };
/**Audit: Version List*/
const char *  au_ver_list[] = { "unknown",
                                "2",
                                "3" };
/**Audit: Authentication List*/
const char *  au_auth_list[] = { "unknown",
                                 "anonymous",
                                 "authenticated"   };
/**Audit: Operation List*/
const char *  au_op_list[] = { "unknown",
                               "Bind",
                               "Unbind",
                               "Search",
                               "Add",
                               "Modify",
                               "Delete",
                               "ModifyDN",
                               "Extended_OP",
							   "Compare"};

/**Audit: Extended Operation List*/
const char *  au_extOP_list[] = { "unknown",
                                  "event notification: registration",
                                  "event notification: unregister",
                                  "extended operation"   };

/**Audit: Authentication Choice List*/
const char *  au_auth_choice_list[] = { "unknown",
                                        "simple",
                                        "krbv42LDAP",
                                        "krbv42DSA",
                                        "sasl"         };

/**Audit: Admin Account Lock List */
const char * au_acct_lock_list[] = { "",
                                     "Not Locked",
									 "Locked",
									 "Lock Cleared"};

/**Audit: Search Scope List*/
const char *  au_search_scope_list[] = { "unknown",
                                         "baseObject",
                                         "singleLevel",
                                         "wholeSubtree" };

/**Audit: Deref Alias List*/
const char *  au_deref_alias_list[] = { "unknown",
                                        "neverDerefAliases",
                                        "derefInSearching",
                                        "derefFindingBaseObj",
                                        "derefAlways"         };

/**Audit: Modify Operation List*/
const char *  au_mod_op_list[] = { "unknown",
                                   "add",
                                   "delete",
                                   "replace" };

/**Audit: Event Notification ID List*/
const char *  au_extOP_EN_ID_list[] = { "unknown",
                                        "LDAP_change"  };

/**Audit: Event Notification Change Type*/
const char *  au_extOP_EN_change_type_list[] = { "unknown",
                                                 "changeAdd",
                                                 "changeDelete",
                                                 "changeModify",
                                                 "changeModDN"  };


#ifdef USING_LIBASCII
#pragma convert(0)
#endif

#endif /* _AUDIT_PLUGIN_LIST_H */
